> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Post (/api-reference/posts/update-post)

Update a posted, queued, or "saved for later" post.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml put /api/{account}/posts/{post_id}
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/posts/{post_id}:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
      - in: path
        name: post_id
        description: The ID of the post
        example: 1234567890
        required: true
        schema:
          type: integer
    put:
      summary: Update Post
      operationId: updatePost
      description: Update a posted, queued, or "saved for later" post.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            text/plain:
              schema:
                type: string
                example: ""
      tags:
        - Posts
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  description: The post text content
                  example: Hello!
                labelIds:
                  type: string
                  description: Array of OF label IDs. Refer to our `/posts/labels` endpoint.
                  example:
                    - 123
                price:
                  type: integer
                  description: Price for paid content (0 or between 3-100). In case this is not
                    zero, **mediaFiles** is required
                  example: 10
                mediaFiles:
                  type: string
                  description: Array of OFAPI `ofapi_media_` IDs, or OF media IDs
                  example:
                    - ofapi_media_abc123
                    - "1234567890"
                rfTag:
                  type: string
                  description: Array OnlyFans creator user IDs to tag in your post
                  example:
                    - 123
                expireDays:
                  type: integer
                  description: Number of days after which the post will expire. Between 1 and 30
                    days. Keep empty for no expiration.
                  example: 3
                scheduledDate:
                  type: string
                  description: Schedule your post in the future (UTC timezone).
                  example: 2025-01-01T00:00:00.000Z
                saveForLater:
                  type: boolean
                  description: Add your post to the "Saved for later" queue.
                  example: true
                fundRaisingTargetAmount:
                  type: integer
                  description: Add a fundraising target to your post. If present, value must be at
                    least 10.
                  example: 30
                fundRaisingTipsPresets:
                  type: array
                  description: Specify which tip amounts will be listed under the fundraising
                    card. Required with `fundRaisingTargetAmount`, and you must
                    provide at least 1 option. Array items cannot be higher than
                    the `fundRaisingTargetAmount`.
                  example:
                    - 5
                    - 10
                    - 15
                  items:
                    type: string
                votingType:
                  type: string
                  description: Include a poll or quiz within your post.
                  example: poll
                  enum:
                    - poll
                    - quiz
                votingDue:
                  type: integer
                  description: The due date (in days) of your poll/quiz. Can be 1, 3, 7 or 30
                    days. Can only be filled with `votingType`.
                  example: 3
                votingOptions:
                  type: array
                  description: The options of your poll/quiz. Required with `votingType`.
                  example:
                    - First option
                    - Second option
                  items:
                    type: string
                votingCorrectIndex:
                  type: integer
                  description: The array key of your quiz' correct answer. Required when
                    `votingType` is "quiz". Keep in mind that arrays start at
                    `0`
                  example: 0
              required:
                - text
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````